plist-cil 1.13.0.0 1.14.0.0 System.Object

Parser for ASCII property lists. Supports Apple OS X/iOS and GnuStep/NeXTSTEP format. This parser is based on the recursive descent paradigm, but the underlying grammar is not explicitely defined.

Resources on ASCII property list format:

https://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/PropertyLists/OldStylePlists/OldStylePLists.html

Property List Programming Guide - Old-Style ASCII Property Lists

http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSPropertyList.html

GnuStep - NSPropertyListSerialization class documentation

To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  To be added.
  To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of NSArray start To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of NSArray end To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of NSArray item delimiter To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for comment start To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of NSData start To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of NSData end To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of GSBoolean start To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for GSBoolen's false To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for GSBoolen's true To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of GSDate start To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for GSInteger To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of GSObject start To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for GSReal To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for NSDate date and time delimiter To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for NSDate end To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for NSDate date field delimited To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for GSDate date and time delimiter To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token for NSDate time field delimiter To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of NSDictionary assignment To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of NSDictionary start To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of NSDictionary end To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of NSDictionary item delimiter To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char End token for multiline comment To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Second token for multiline comment To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject Parses the property list from the beginning and returns the root object of the property list. The root object of the property list. This can either be a NSDictionary or a NSArray. To be added. When an error occured during parsing
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The ASCII property list data. Parses an ASCII property list from a byte array. The root object of the property list. This is usually a NSDictionary but can also be a NSArray. To be added. When an error occurs during parsing.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The ASCII property list file.. Parses an ASCII property list file. The root object of the property list. This is usually a NSDictionary but can also be a NSArray. To be added. When an error occurs during parsing. When an error occured while reading from the input stream.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The input stream that points to the property list's data. Parses an ASCII property list from an input stream. The root object of the property list. This is usually a NSDictionary but can also be a NSArray. To be added. When an error occurs during parsing.
- Method
  1.13.0.0
  1.14.0.0
  System.String `` The escaped string according to the ASCII property list format, without leading and trailing quotation marks. Parses a string according to the format specified for ASCII property lists. Such strings can contain escape sequences which are unescaped in this method. The unescaped string in UTF-8 or ASCII format, depending on the contained characters. To be added. If the en-/decoder for the UTF-8 or ASCII encoding could not be loaded If the string is encoded neither in ASCII nor in UTF-8
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of quoted NSString start To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of quoted NSString end To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Token of quoted NSString escaped character To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char Second token for singleline comment To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char A carriage return To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char A newline To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char A space To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Char A tabulator To be added.